import AppLibrary
import ArgumentParser

@main
struct App: AsyncParsableCommand {
    
    // MARK: Properties

    @OptionGroup var options: Options
    
    // MARK: Functions

    mutating func run() async throws {
        let builder = AppBuilder(name: "DocCRepo")
        let app = try await builder(options)

        try await app.runService()
    }

}
